# Redis API

A thin wrapper around redis so that we can communicate to it via HTTP instead of TCP

## Deployment

Make sure you have access to Azure and have PIMed yourself to

- `Web-App-Frontend prod` where the ACR is located
- `Web Components Prod` or `Web Components Test` depending on where you want to deploy

Login with `az login` and select `Web-App-Frontend prod`

### Build container image

Standing in `/apps/redis-api` run

```bash
az acr build . --image redis-api:latest -r acrscandicfrontend
```

### Deploy container image

| Subscription        | Environment | SubscriptionId                       |
| ------------------- | ----------- | ------------------------------------ |
| Web Components Prod | prod        | 799cbffe-5209-41fd-adf9-4ffa3d1feead |
| Web Components Test | test        | 3b657fc5-85b0-4a43-aba2-e77618ef98c4 |

```bash
# Replace with appropriate values
az deployment sub create \
            --location westeurope \
            --template-file ci/bicep/main.bicep \
            --subscription {{SUBSCRIPTION_ID}} \
            --parameters environment={{ENVIRONMENT}} \
             containerImageTag=latest \
             primaryApiKey={{PRIMARY API KEY}} \ # API keys are used for communicating with the api
             secondaryApiKey={{SECONDARY API KEY}}
```
